from tests.rest import rest_tools


def test_status_endpoint(client):
    headers = {"Content-Type": "application/json"}
    response = client.get("/api/v1.0/management/status", headers=headers)
    assert response.status_code == 200
    assert response.mimetype == "application/json"

    status = rest_tools.extract_data(response=response)
    assert status['status'] == 'works'
